*
* $Id: c349m.F,v 1.1.1.1 1996/04/01 15:01:19 mclareni Exp $
*
* $Log: c349m.F,v $
* Revision 1.1.1.1  1996/04/01 15:01:19  mclareni
* Mathlib gen
*
*
      SUBROUTINE C349M
C     This program tests the operation of GENLIB subprograms
C     RTHETA and DTHETA
*
* $Id: imp64.inc,v 1.1.1.1 1996/04/01 15:02:59 mclareni Exp $
*
* $Log: imp64.inc,v $
* Revision 1.1.1.1  1996/04/01 15:02:59  mclareni
* Mathlib gen
*
*
* imp64.inc
*
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
C     Set maximum error allowed for test to be considered successful
C     double precision
      PARAMETER (TSTERRD=2D-12 )
C     single precision
      PARAMETER (TSTERRS=1E-6 )
      REAL RTHETA, XREAL, QREAL
      PARAMETER ( IXDIM=15, IQDIM=9, SCALE=1D20, QCUT=0.9001D0 )
      DIMENSION XTAB(IXDIM), QTAB(IQDIM), DTHTAB(4,IXDIM,IQDIM)
      COMMON /C349D/ XTAB, QTAB, DTHTAB
*
* $Id: iorc.inc,v 1.1.1.1 1996/04/01 15:01:31 mclareni Exp $
*
* $Log: iorc.inc,v $
* Revision 1.1.1.1  1996/04/01 15:01:31  mclareni
* Mathlib gen
*
*
*
* iorc.inc
*
      COMMON/IOLUNS/LIN,LOUT
      COMMON/GTSTAT/NTEST,NFAIL,IRC
      CALL HEADER('C349',0)
C
C  *********************************************************************
C
C  Test for CERN library subprogram C349 (DTHETA/RTHETA).  Prints the
C  largest relative error arising from values of X and Q which have been
C  preset (together with the corresponding function values) in BLOCK
C  DATA subprogram BLKD.
C
C  (Version  9.04.1992)
C
C  *********************************************************************
C
C  Start.
      WRITE (LOUT,2000)
      JTOTAL = 0
      DMAX1 = 0
      DMAX2 = 0
      RMAX1 = 0
      RMAX2 = 0
      DO 3 JQ = 1,IQDIM
         Q = QTAB(JQ)
         QREAL = Q
         DO 2 JX=1,IXDIM
            X = XTAB(JX)
            XREAL = X
            DO 1 K = 1,4
               DTHREF = SCALE*DTHTAB( K, JX, JQ )
               IF ( DTHREF.NE.0 ) THEN
                  DTH = SCALE*DTHETA( K, X, Q )
                  RTHREF = SCALE*DTHETA( K, DBLE(XREAL), DBLE(QREAL) )
                  RTH = SCALE*RTHETA( K, XREAL, QREAL )
                  D = ABS( (DTH-DTHREF)/DTHREF )
                  R = ABS( (RTH-RTHREF)/DTHREF )
                  IF ( Q.LE.QCUT ) THEN
                     DMAX1 = MAX(D,DMAX1)
                     RMAX1 = MAX(R,RMAX1)
                  ELSE
                     DMAX2 = MAX(D,DMAX2)
                     RMAX2 = MAX(R,RMAX2)
                  ENDIF
               ENDIF
               JTOTAL = JTOTAL+1
    1       CONTINUE
    2    CONTINUE
    3 CONTINUE
      WRITE (LOUT,2001) DMAX1, RMAX1, DMAX2, RMAX2
      WRITE (LOUT,2002) JTOTAL/4
C
C  Write sample error messages.
      WRITE (LOUT,2003)
      TH = DTHETA( 0, 0.5D0, -0.5D0 )
      TH = DTHETA( 4, 0.5D0, 1.5D0 )
      TH = DTHETA( -1, 0.5D0, 0.5D0 )
      TH = DTHETA( 5, 0.5D0, 0.5D0 )
      TH = DTHETA( 1, 0.5D0, 1.D0 )
      TH = DTHETA( 2, 0.D0, 1.D0 )
      WRITE (LOUT,2004)
CCC   STOP
C
 2000 FORMAT( ' Test program for C349.'
     $        // ' Prints the largest relative error for selected',
     $        ' values of X and Q.' )
 2001 FORMAT( / 14X, 'Q', 16X, 'DTHETA', 7X, 'RTHETA'
     $        // 5X, ' Not exceeding 0.9:', 1P, 2(E13.1)
     $        /  5X, ' Greater than  0.9:', 2(E13.1) )
 2002 FORMAT( /  ' (Number of (X,Q) pairs = ', I3, ')' )
 2003 FORMAT( // ' Now verify that exactly six error messages',
     $        ' (two of each kind) have been'
     $        / ' written on Unit LOUT.'/ )
 2004 FORMAT( / ' ................................ END OF TEST',
     $       ' ..................................' )
CCC   END
      DMAXT=MAX(DMAX1,DMAX2)
      RMAXT=MAX(RMAX1,RMAX2)
      IRC=ITEST('C349',(DMAXT.LE.TSTERRD).AND.(RMAXT.LE.TSTERRS))
      CALL PAGEND('C349')
      RETURN
      END
      BLOCK DATA BLKD
*
* $Id: imp64.inc,v 1.1.1.1 1996/04/01 15:02:59 mclareni Exp $
*
* $Log: imp64.inc,v $
* Revision 1.1.1.1  1996/04/01 15:02:59  mclareni
* Mathlib gen
*
*
* imp64.inc
*
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      PARAMETER ( IXDIM=15, IQDIM=9 )
      DIMENSION XTAB(IXDIM), QTAB(IQDIM), DTHTAB(4,IXDIM,IQDIM)
      COMMON /C349D/ XTAB, QTAB, DTHTAB
C
C  *********************************************************************
C  Presets values of x, q and theta(k,x,q) for use by TC349D.
C  (Version 10.03.1992)
C  *********************************************************************
C
      DATA XTAB/ 1D-5, 0.01D0, 0.1D0, 0.2D0, 0.25D0, 0.3D0, 0.4D0,
     $           0.49D0, 0.49999D0,
     $           -0.51D0, -0.4999D0, 0.6D0, 0.99D0, 1.01D0, 1.7D0 /
      DATA QTAB/ 0.01D0, 0.1D0, 0.3D0, 0.7D0, 0.8D0, 0.9D0, 0.99D0,
     $           0.999D0, 0.9999D0 /
      DATA (DTHTAB(1,J,1),J=1,15)/
     $      0.198632157754725453D-04,  0.198599564121013164D-01,
     $      0.195388340858127091D+00,  0.371687884364683724D+00,
     $      0.447168874139960731D+00,  0.511647729650301780D+00,
     $      0.601538129810991681D+00,  0.632206418275082338D+00,
     $      0.632518777275126495D+00, -0.632206418275082338D+00,
     $     -0.632518746348993049D+00,  0.601538129810991681D+00,
     $      0.198599564121013069D-01, -0.198599564121013338D-01,
     $     -0.511647729650301836D+00 /
      DATA (DTHTAB(1,J,2),J=1,15)/
     $      0.342731357551889797D-04,  0.342688918368830777D-01,
     $      0.338448303153667251D+00,  0.650375507769968983D+00,
     $      0.787317226209446663D+00,  0.906410792231181400D+00,
     $      0.107624748216203558D+01,  0.113532571091174450D+01,
     $      0.113593060096330678D+01, -0.113532571091174450D+01,
     $     -0.113593054107095148D+01,  0.107624748216203558D+01,
     $      0.342688918368830595D-01, -0.342688918368831072D-01,
     $     -0.906410792231181484D+00 /
      DATA (DTHTAB(1,J,3),J=1,15)/
     $      0.341148874032195199D-04,  0.341251229167217176D-01,
     $      0.350701610126758975D+00,  0.743325360716168004D+00,
     $      0.951675536091518018D+00,  0.115523417890160118D+01,
     $      0.148602244163968122D+01,  0.161312545262637985D+01,
     $      0.161446033985901960D+01, -0.161312545262637985D+01,
     $     -0.161446020765304965D+01,  0.148602244163968122D+01,
     $      0.341251229167217002D-01, -0.341251229167217479D-01,
     $     -0.115523417890160141D+01 /
      DATA (DTHTAB(1,J,4),J=1,15)/
     $      0.162607019569856244D-05,  0.164235006244872311D-02,
     $      0.353127832146888105D-01,  0.245959457067496945D+00,
     $      0.526440250927469308D+00,  0.981163921741326883D+00,
     $      0.225042412979604212D+01,  0.295962640225301743D+01,
     $      0.296782736070505759D+01, -0.295962640225301743D+01,
     $     -0.296782654768564913D+01,  0.225042412979604212D+01,
     $      0.164235006244872219D-02, -0.164235006244872452D-02,
     $     -0.981163921741327341D+00 /
      DATA (DTHTAB(1,J,5),J=1,15)/
     $      0.523400235070725572D-07,  0.538247271993050233D-04,
     $      0.316822422419801012D-02,  0.700636601883636856D-01,
     $      0.236447213130184963D+00,  0.639634210332025360D+00,
     $      0.241098770377506821D+01,  0.373561308836743255D+01,
     $      0.375217222351964508D+01, -0.373561308836743255D+01,
     $     -0.375217058053589358D+01,  0.241098770377506821D+01,
     $      0.538247271993049928D-04, -0.538247271993050741D-04,
     $     -0.639634210332025832D+00 /
      DATA (DTHTAB(1,J,6),J=1,15)/
     $      0.690712297965843012D-12,  0.788829791612324682D-09,
     $      0.169066643457097958D-05,  0.119075752432300480D-02,
     $      0.156526658224505153D-01,  0.128807596896837337D+00,
     $      0.213999305500227055D+01,  0.540963242188914140D+01,
     $      0.546054497590917953D+01, -0.540963242188914140D+01,
     $     -0.546053991191917665D+01,  0.213999305500227055D+01,
     $      0.788829791612324165D-09, -0.788829791612325560D-09,
     $     -0.128807596896837531D+00 /
      DATA (DTHTAB(1,J,7),J=1,15)/
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.730902308093085031D-37,
     $      0.391011284182882938D-25,  0.154203993057748423D-15,
     $      0.960809728137294568D-03,  0.160264073183361582D+02,
     $      0.176800954882009016D+02, -0.160264073183361582D+02,
     $     -0.176799236036434664D+02,  0.960809728137294568D-03,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $     -0.154203993057750943D-15 /
      DATA (DTHTAB(1,J,8),J=1,15)/
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.208953281519834597D+02,
     $      0.560358403192469190D+02, -0.208953281519834597D+02,
     $     -0.560303681139167438D+02,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00 /
      DATA (DTHTAB(1,J,9),J=1,15)/
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.917199201315058860D-02,
     $      0.177239204624673420D+03, -0.917199201315058860D-02,
     $     -0.177066119050895953D+03,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00 /
      DATA (DTHTAB(2,J,1),J=1,15)/
     $      0.632518777275126495D+00,  0.632206418275082338D+00,
     $      0.601538129810991681D+00,  0.511647729650301780D+00,
     $      0.447168874139960731D+00,  0.371687884364683724D+00,
     $      0.195388340858127091D+00,  0.198599564121013069D-01,
     $      0.198632157754648440D-04, -0.198599564121013069D-01,
     $      0.198632154527802418D-03, -0.195388340858127091D+00,
     $     -0.632206418275082338D+00, -0.632206418275082338D+00,
     $      0.371687884364683654D+00 /
      DATA (DTHTAB(2,J,2),J=1,15)/
     $      0.113593060096330678D+01,  0.113532571091174450D+01,
     $      0.107624748216203558D+01,  0.906410792231181400D+00,
     $      0.787317226209446663D+00,  0.650375507769968983D+00,
     $      0.338448303153667251D+00,  0.342688918368830595D-01,
     $      0.342731357551756915D-04, -0.342688918368830595D-01,
     $      0.342731353350821241D-03, -0.338448303153667251D+00,
     $     -0.113532571091174450D+01, -0.113532571091174450D+01,
     $      0.650375507769968858D+00 /
      DATA (DTHTAB(2,J,3),J=1,15)/
     $      0.161446033985901960D+01,  0.161312545262637985D+01,
     $      0.148602244163968122D+01,  0.115523417890160118D+01,
     $      0.951675536091518018D+00,  0.743325360716168004D+00,
     $      0.350701610126758975D+00,  0.341251229167217002D-01,
     $      0.341148874032062926D-04, -0.341251229167217002D-01,
     $      0.341148884172322482D-03, -0.350701610126758975D+00,
     $     -0.161312545262637985D+01, -0.161312545262637985D+01,
     $      0.743325360716167838D+00 /
      DATA (DTHTAB(2,J,4),J=1,15)/
     $      0.296782736070505759D+01,  0.295962640225301743D+01,
     $      0.225042412979604212D+01,  0.981163921741326883D+00,
     $      0.526440250927469308D+00,  0.245959457067496945D+00,
     $      0.353127832146888105D-01,  0.164235006244872219D-02,
     $      0.162607019569793203D-05, -0.164235006244872219D-02,
     $      0.162607180461073517D-04, -0.353127832146888105D-01,
     $     -0.295962640225301743D+01, -0.295962640225301743D+01,
     $      0.245959457067496778D+00 /
      DATA (DTHTAB(2,J,5),J=1,15)/
     $      0.375217222351964508D+01,  0.373561308836743255D+01,
     $      0.241098770377506821D+01,  0.639634210332025360D+00,
     $      0.236447213130184963D+00,  0.700636601883636856D-01,
     $      0.316822422419801012D-02,  0.538247271993049928D-04,
     $      0.523400235070522657D-07, -0.538247271993049928D-04,
     $      0.523401695350480948D-06, -0.316822422419801012D-02,
     $     -0.373561308836743255D+01, -0.373561308836743255D+01,
     $      0.700636601883636162D-01 /
      DATA (DTHTAB(2,J,6),J=1,15)/
     $      0.546054497590917953D+01,  0.540963242188914140D+01,
     $      0.213999305500227055D+01,  0.128807596896837337D+00,
     $      0.156526658224505153D-01,  0.119075752432300480D-02,
     $      0.169066643457097958D-05,  0.788829791612324165D-09,
     $      0.690712297965575241D-12, -0.788829791612324165D-09,
     $      0.690721658020137083D-11, -0.169066643457097958D-05,
     $     -0.540963242188914140D+01, -0.540963242188914117D+01,
     $      0.119075752432300203D-02 /
      DATA (DTHTAB(2,J,7),J=1,15)/
     $      0.176800954882009016D+02,  0.160264073183361546D+02,
     $      0.960809728137294568D-03,  0.154203993057748423D-15,
     $      0.391011284182882938D-25,  0.730902308093085031D-37,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $     -0.160264073183361582D+02, -0.160264073183361511D+02,
     $      0.730902308093067073D-37 /
      DATA (DTHTAB(2,J,8),J=1,15)/
     $      0.560358403192469190D+02,  0.208953281519834384D+02,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $     -0.208953281519834597D+02, -0.208953281519834029D+02,
     $      0.000000000000000000D+00 /
      DATA (DTHTAB(2,J,9),J=1,15)/
     $      0.177239204624673420D+03,  0.917199201315049492D-02,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $     -0.917199201315058860D-02, -0.917199201315033793D-02,
     $      0.000000000000000000D+00 /
      DATA (DTHTAB(3,J,1),J=1,15)/
     $      0.102000001996052125D+01,  0.101996055441085942D+01,
     $      0.101618034606783869D+01,  0.100618032370715893D+01,
     $      0.999999979999999997D+00,  0.993819643932161156D+00,
     $      0.983819666292840928D+00,  0.980039485273728583D+00,
     $      0.980000020039478253D+00,  0.980039485273728583D+00,
     $      0.980000023947825830D+00,  0.983819666292840928D+00,
     $      0.101996055441085942D+01,  0.101996055441085942D+01,
     $      0.993819643932161156D+00 /
      DATA (DTHTAB(3,J,2),J=1,15)/
     $      0.120020000160363671D+01,  0.119980377059049181D+01,
     $      0.116186520165583018D+01,  0.106164159385808055D+01,
     $      0.999800000000000189D+00,  0.938034799344169556D+00,
     $      0.838258405141919322D+00,  0.800593075290034262D+00,
     $      0.800199998393205256D+00,  0.800593075290034262D+00,
     $      0.800200037320506388D+00,  0.838258405141919322D+00,
     $      0.119980377059049181D+01,  0.119980377059049181D+01,
     $      0.938034799344169515D+00 /
      DATA (DTHTAB(3,J,3),J=1,15)/
     $      0.161623937329655143D+01,  0.161492697227719662D+01,
     $      0.149040410020556680D+01,  0.117227227621369678D+01,
     $      0.983800008609344190D+00,  0.801515578489422148D+00,
     $      0.519608036481969945D+00,  0.417217560723124062D+00,
     $      0.416160643666316263D+00,  0.417217560723124062D+00,
     $      0.416160748323325655D+00,  0.519608036481969945D+00,
     $      0.161492697227719662D+01,  0.161492697227719662D+01,
     $      0.801515578489422009D+00 /
      DATA (DTHTAB(3,J,4),J=1,15)/
     $      0.296782736071646203D+01,  0.295962640226617668D+01,
     $      0.225042413089090676D+01,  0.981164042610629950D+00,
     $      0.526441282896179932D+00,  0.245967129444088342D+00,
     $      0.355928072348134462D-01,  0.608596214962086549D-02,
     $      0.587641091906428419D-02,  0.608596214962086549D-02,
     $      0.587643158189959762D-02,  0.355928072348134462D-01,
     $      0.295962640226617690D+01,  0.295962640226617668D+01,
     $      0.245967129444088176D+00 /
      DATA (DTHTAB(3,J,5),J=1,15)/
     $      0.375217222351964508D+01,  0.373561308836743255D+01,
     $      0.241098770377507021D+01,  0.639634210335842127D+00,
     $      0.236447213247776400D+00,  0.700636630924666021D-01,
     $      0.316913655643226471D-02,  0.129527162022010146D-03,
     $      0.118336450056192763D-03,  0.129527162022010146D-03,
     $      0.118337544161499754D-03,  0.316913655643226471D-02,
     $      0.373561308836743255D+01,  0.373561308836743255D+01,
     $      0.700636630924665188D-01 /
      DATA (DTHTAB(3,J,6),J=1,15)/
     $      0.546054497590917953D+01,  0.540963242188914140D+01,
     $      0.213999305500227055D+01,  0.128807596896837337D+00,
     $      0.156526658224505153D-01,  0.119075752432300496D-02,
     $      0.169066645926633930D-05,  0.107510478036200374D-08,
     $      0.737353010451161171D-09,  0.107510478036200374D-08,
     $      0.737384354437164498D-09,  0.169066645926633930D-05,
     $      0.540963242188914140D+01,  0.540963242188914117D+01,
     $      0.119075752432300214D-02 /
      DATA (DTHTAB(3,J,7),J=1,15)/
     $      0.176800954882009016D+02,  0.160264073183361546D+02,
     $      0.960809728137294568D-03,  0.154203993057748423D-15,
     $      0.391011284182882938D-25,  0.730902308093085031D-37,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.160264073183361582D+02,  0.160264073183361511D+02,
     $      0.730902308093067073D-37 /
      DATA (DTHTAB(3,J,8),J=1,15)/
     $      0.560358403192469190D+02,  0.208953281519834384D+02,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.208953281519834597D+02,  0.208953281519834029D+02,
     $      0.000000000000000000D+00 /
      DATA (DTHTAB(3,J,9),J=1,15)/
     $      0.177239204624673420D+03,  0.917199201315049492D-02,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.917199201315058860D-02,  0.917199201315033793D-02,
     $      0.000000000000000000D+00 /
      DATA (DTHTAB(4,J,1),J=1,15)/
     $      0.980000020039478253D+00,  0.980039485273728583D+00,
     $      0.983819666292840928D+00,  0.993819643932161156D+00,
     $      0.999999979999999997D+00,  0.100618032370715893D+01,
     $      0.101618034606783869D+01,  0.101996055441085942D+01,
     $      0.102000001996052125D+01,  0.101996055441085942D+01,
     $      0.102000001605214252D+01,  0.101618034606783869D+01,
     $      0.980039485273728583D+00,  0.980039485273728583D+00,
     $      0.100618032370715893D+01 /
      DATA (DTHTAB(4,J,2),J=1,15)/
     $      0.800199998393205256D+00,  0.800593075290034262D+00,
     $      0.838258405141919322D+00,  0.938034799344169556D+00,
     $      0.999800000000000189D+00,  0.106164159385808055D+01,
     $      0.116186520165583018D+01,  0.119980377059049181D+01,
     $      0.120020000160363671D+01,  0.119980377059049181D+01,
     $      0.120019996236366655D+01,  0.116186520165583018D+01,
     $      0.800593075290034262D+00,  0.800593075290034262D+00,
     $      0.106164159385808055D+01 /
      DATA (DTHTAB(4,J,3),J=1,15)/
     $      0.416160643666316263D+00,  0.417217560723124062D+00,
     $      0.519608036481969945D+00,  0.801515578489422148D+00,
     $      0.983800008609344190D+00,  0.117227227621369678D+01,
     $      0.149040410020556680D+01,  0.161492697227719662D+01,
     $      0.161623937329655143D+01,  0.161492697227719662D+01,
     $      0.161623924331329705D+01,  0.149040410020556680D+01,
     $      0.417217560723124062D+00,  0.417217560723124062D+00,
     $      0.117227227621369701D+01 /
      DATA (DTHTAB(4,J,4),J=1,15)/
     $      0.587641091906428419D-02,  0.608596214962086549D-02,
     $      0.355928072348134462D-01,  0.245967129444088342D+00,
     $      0.526441282896179932D+00,  0.981164042610629950D+00,
     $      0.225042413089090676D+01,  0.295962640226617690D+01,
     $      0.296782736071646203D+01,  0.295962640226617690D+01,
     $      0.296782654769705379D+01,  0.225042413089090676D+01,
     $      0.608596214962086549D-02,  0.608596214962086549D-02,
     $      0.981164042610630407D+00 /
      DATA (DTHTAB(4,J,5),J=1,15)/
     $      0.118336450056192763D-03,  0.129527162022010156D-03,
     $      0.316913655643226471D-02,  0.700636630924666021D-01,
     $      0.236447213247776400D+00,  0.639634210335842127D+00,
     $      0.241098770377507021D+01,  0.373561308836743255D+01,
     $      0.375217222351964508D+01,  0.373561308836743255D+01,
     $      0.375217058053589358D+01,  0.241098770377507021D+01,
     $      0.129527162022010146D-03,  0.129527162022010176D-03,
     $      0.639634210335842598D+00 /
      DATA (DTHTAB(4,J,6),J=1,15)/
     $      0.737353010451161171D-09,  0.107510478036200415D-08,
     $      0.169066645926633930D-05,  0.119075752432300496D-02,
     $      0.156526658224505153D-01,  0.128807596896837337D+00,
     $      0.213999305500227055D+01,  0.540963242188914140D+01,
     $      0.546054497590917953D+01,  0.540963242188914140D+01,
     $      0.546053991191917665D+01,  0.213999305500227055D+01,
     $      0.107510478036200374D-08,  0.107510478036200477D-08,
     $      0.128807596896837531D+00 /
      DATA (DTHTAB(4,J,7),J=1,15)/
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.730902308093085031D-37,
     $      0.391011284182882938D-25,  0.154203993057748423D-15,
     $      0.960809728137294568D-03,  0.160264073183361582D+02,
     $      0.176800954882009016D+02,  0.160264073183361582D+02,
     $      0.176799236036434664D+02,  0.960809728137294568D-03,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.154203993057750943D-15 /
      DATA (DTHTAB(4,J,8),J=1,15)/
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.208953281519834597D+02,
     $      0.560358403192469190D+02,  0.208953281519834597D+02,
     $      0.560303681139167438D+02,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00 /
      DATA (DTHTAB(4,J,9),J=1,15)/
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.917199201315058860D-02,
     $      0.177239204624673420D+03,  0.917199201315058860D-02,
     $      0.177066119050895953D+03,  0.000000000000000000D+00,
     $      0.000000000000000000D+00,  0.000000000000000000D+00,
     $      0.000000000000000000D+00 /
         END
